package com.gic.haoban.manage.web.qo.content;


import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.gic.commons.web.qo.PageQo;
import com.gic.content.api.enums.MaterialSearchSceneEnum;

import java.util.List;

@JsonSerialize(using= ToStringSerializer.class)
public class ContentMaterialListQO extends PageQo {

    /**
     * 查询场景 1:gic后台营销素材 2:好办营销素材 3:gic后台社区素材 4:gic后台审核素材 5:好办审核素材 6:小程序社区素材
     * @see MaterialSearchSceneEnum
     */
    private Integer queryScene;

    /**
     * 栏目id
     */
    private Long contentColumnId;
    /**
     * 搜索名称
     */
    private String search;
    /**
     * 商品搜索
     */
    private String goodsSearch;

    /**
     * 素材搜索
     */
    private String materialSearch;

    /**
     * 素材类型1图文2纯文字3纯图片4视频
     */
    private Integer materialType;

    /**
     * 企业ID
     */
    private String enterpriseId;

    /**
     * 会员id
     */
    private String memberId;

    /**
     * 排序字段
     * createTime:创建时间
     * publishBeginTime:发布时间
     * topTime:置顶时间
     * @see com.gic.content.api.enums.MaterialOrderFieldEnum
     */
    private String orderField;

    /**
     * 排序 desc降序 asc升序
     */
    private String order;

    /**
     * 商品id
     */
    private List<String> goodsIdList;

    public Integer getQueryScene() {
        return queryScene;
    }

    public void setQueryScene(Integer queryScene) {
        this.queryScene = queryScene;
    }

    public Long getContentColumnId() {
        return contentColumnId;
    }

    public void setContentColumnId(Long contentColumnId) {
        this.contentColumnId = contentColumnId;
    }

    public String getSearch() {
        return search;
    }

    public void setSearch(String search) {
        this.search = search;
    }

    public String getGoodsSearch() {
        return goodsSearch;
    }

    public void setGoodsSearch(String goodsSearch) {
        this.goodsSearch = goodsSearch;
    }

    public String getMaterialSearch() {
        return materialSearch;
    }

    public void setMaterialSearch(String materialSearch) {
        this.materialSearch = materialSearch;
    }

    public Integer getMaterialType() {
        return materialType;
    }

    public void setMaterialType(Integer materialType) {
        this.materialType = materialType;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getOrderField() {
        return orderField;
    }

    public void setOrderField(String orderField) {
        this.orderField = orderField;
    }

    public String getOrder() {
        return order;
    }

    public void setOrder(String order) {
        this.order = order;
    }

    public List<String> getGoodsIdList() {
        return goodsIdList;
    }

    public void setGoodsIdList(List<String> goodsIdList) {
        this.goodsIdList = goodsIdList;
    }
}
